## Index

### Object literals

- EndForRule
- ForRule

## Object literals

### EndForRule

EndForRule: object

- Defined in rules/for.ts:15

### name

name: string = "endfor"

- Defined in rules/for.ts:16

### analyze

- analyze(ctx: Context, t: Token): Fragment

- - Defined in rules/for.ts:18

  #### Parameters

  - ##### ctx: Context

  - ##### t: Token

  #### Returns Fragment

### ForRule

ForRule: object

- Defined in rules/for.ts:6

### name

name: string = "for"

- Defined in rules/for.ts:7

### analyze

- analyze(ctx: Context, t: Token): Fragment

- - Defined in rules/for.ts:9

  #### Parameters

  - ##### ctx: Context

  - ##### t: Token

  #### Returns Fragment

Generated using TypeDoc